Questo sito utilizza cookies, anche di terze parti, per mostrare pubblicità e servizi in linea con il tuo account. Leggi l'informativa sui cookies.
Username: Password: oppure
C# / VB.NET - Pacchetto isntallazione con framework
Forum - C# / VB.NET - Pacchetto isntallazione con framework

Pagine: [ 1 2 ] Precedente | Prossimo
Avatar
Vicar (Normal User)
Pro


Messaggi: 96
Iscritto: 25/02/2010

Segnala al moderatore
Postato alle 0:22
Lunedì, 07/02/2011
Salve,
Ho creato un programma e ho quindi il mio file .exe, ora volevo sapere se è possibile creare una pacchetto di installazione e di integrare anche automaticamente l'installazione del framework 4.

(Nel forum mi avevano consigliato InnoSetup, però vorrei ggiungere la funzionalità del Framework se è possibile)


Grazie a tutti :)


[www.webmatsoltuion.com] - [www.gratiscalcio.com]

Guadagna ricariche/soldi e gioca la schedina di calcio, tutto GRATIS.
PM Quote
Avatar
TheKaneB (Member)
Guru^2


Messaggi: 1787
Iscritto: 26/06/2009

Segnala al moderatore
Postato alle 2:38
Lunedì, 07/02/2011
Il framework va scaricato e installato dal sito della microsoft. Non c'è nemmeno una sola ragione perchè tu debba includerlo in un installer. Quasi certamente le persone dovranno scaricare un mattone enorme che non gli servirà perchè o l'hanno già installato, oppure dopo una settimana è diventato già obsoleto ed è uscita la nuova versione...


Software Failure: Guru Meditation
Forum su Informatica, Elettronica, Robotica e Tecnologia: http://www.nonsoloamiga.com
PM Quote
Avatar
lorenzo (Normal User)
Guru


Messaggi: 1178
Iscritto: 15/04/2008

Segnala al moderatore
Postato alle 7:31
Lunedì, 07/02/2011
mi pare di cogliere un lievissimo tono di critica.... :rofl:

Ultima modifica effettuata da lorenzo il 07/02/2011 alle 7:32


"There's no point in being exact about something if you don't even know what you're talking about."

JOHN VON NEUMANN


Siamo italiani NO??
Allora scriviamo in ITALIANO!!!!
PM Quote
Avatar
Il Totem (Admin)
Guru^2


Messaggi: 3635
Iscritto: 24/01/2006

Segnala al moderatore
Postato alle 11:22
Lunedì, 07/02/2011
Io direi anche disperazione.


"Infelici sono quelli che hanno tanto cervello da vedere la loro stupidità."
(Fligende Blatter)

"Dubitare di se stessi è il primo segno d'intelligenza."
(Ugo Ojetti)
PM Quote
Avatar
giovannibart91 (Member)
Pro


Messaggi: 63
Iscritto: 30/05/2008

Segnala al moderatore
Postato alle 12:47
Lunedì, 07/02/2011
Ad ogni modo nelle "Proprietà Progetto", alla scheda "Pubblica" è possibile compilare un pacchetto di installazione (scegliendo la modalità offline), e cliccando sul bottone "Prerequisiti" se non è già selezionato si può includere il .net framework 4.0.
Nelle versioni avanzate di VS invece (ma non nella versione Express) nella finestra di selezione di "Nuovo progetto" viene inclusa anche l'opzione di "Progetto di Setup" dove si può compilare un pacchetto di installazione altamente personalizzato, anche se non è niente a confronto con un progetto InstallShield.

Per il problema delle installazioni multiple, la tua installazione che avrai creato caricherà il setup del .net fwk 4.0 solo se non è già presente (o non aggiornato) sulla macchina su cui è avviato.

Sconsiglio comunque l'utilizzo di scomodi (e brutti, a mia opinione :D ) installer, se servono solo a caricare un semplice programma singolo e non deve invece settare 20mila chiavi di registro e impostare 200 icone e altrettante dll esterne :yup:

PM Quote
Avatar
Vicar (Normal User)
Pro


Messaggi: 96
Iscritto: 25/02/2010

Segnala al moderatore
Postato alle 14:26
Lunedì, 07/02/2011
Ok, e come faccio a far si che gli utenti possano usare il mio programma senza aver installato il FrameWork 4?


[www.webmatsoltuion.com] - [www.gratiscalcio.com]

Guadagna ricariche/soldi e gioca la schedina di calcio, tutto GRATIS.
PM Quote
Avatar
TheKaneB (Member)
Guru^2


Messaggi: 1787
Iscritto: 26/06/2009

Segnala al moderatore
Postato alle 15:09
Lunedì, 07/02/2011
metti tra i requisiti il .Net 4, e se non ce l'hanno se lo scaricano


Software Failure: Guru Meditation
Forum su Informatica, Elettronica, Robotica e Tecnologia: http://www.nonsoloamiga.com
PM Quote
Avatar
Vicar (Normal User)
Pro


Messaggi: 96
Iscritto: 25/02/2010

Segnala al moderatore
Postato alle 15:37
Lunedì, 07/02/2011
Grazie per le risposte,
il framework 4 non lo uso nel codice, non potrei far si che il mio programma richeida il framwork 3? (Così lo hanno tutti)


[www.webmatsoltuion.com] - [www.gratiscalcio.com]

Guadagna ricariche/soldi e gioca la schedina di calcio, tutto GRATIS.
PM Quote
Avatar
giovannibart91 (Member)
Pro


Messaggi: 63
Iscritto: 30/05/2008

Segnala al moderatore
Postato alle 21:20
Lunedì, 07/02/2011
Guarda, se impostassi il target del framework a 2.0, sta sicuro che avresti un buon 70% di persone che non hanno bisogno di installare un bel niente, dato che il .net fw è stato INTEGRATO nel sistema operativo a partire da windows vista (quelli che ancora usano xp, anche se sono troppi, sono comunque da "punire" e lasciarli soffrire nella loro incompatibilità :rotfl: )

in risposta alla tua domanda si parla proprio di come impostare questo fantomatico "target": è sufficiente che vai nelle Proprietà Progetto e vai alla scheda "Compilazione", clicchi sul bottone in basso "Opzioni di compilazione avanzate" e imposti il dovuto "Framework di destinazione".

Ultima modifica effettuata da giovannibart91 il 07/02/2011 alle 21:26
PM Quote
Pagine: [ 1 2 ] Precedente | Prossimo